Definition
https://sandbox.bluesnap.com/services/2/wallets
The Create Wallet request is where you provide the initial parameters required by the wallet processor to launch the wallet's payment page. The response includes the wallet token. Keep in mind, only payment methods supported by BlueSnap can be processed.
This currently supports Apple Pay on the web. For detailed setup instructions, refer to Apple Pay in your website.
For information on Google Pay, refer to our Google Pay™ Guide.
Apple Pay
JSON
JSON Request Content
Send a wallet object, with the following:
| Property | Type | Required |
|---|---|---|
walletType | string | required |
validationUrl | string | required |
domainName | string | required |
displayName | string | optional |
JSON Response Details
If successful, the response HTTP status code is 200 OK.
The response includes the wallet object with the following:
| Property | Type |
|---|---|
walletType | string |
walletToken | string |
JSON Examples
Request Examples
curl -v -X POST https://sandbox.bluesnap.com/services/2/wallets \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '
{
"walletType": "APPLE_PAY",
"validationUrl": "https://apple-pay-gateway-cert.apple.com/paymentservices/startSession",
"domainName": "merchant.com"
}'Response Examples
{
"walletType": "APPLE_PAY",
"walletToken":"ImRhdGEiOiJuY1AvRitIUy8zeG5ISk1pSm9RbXhCMFd"
}Note: Be sure that the domainName is the domain you registered during domain verification.
XML
XML Request Content
Send a wallet object, with the following:
| Property | Type | Required |
|---|---|---|
wallet-type | string | required |
validation-url | string | required |
domain-name | string | required |
display-name | string | optional |
XML Response Details
If successful, the response HTTP status code is 200 OK.
The response includes the wallet object with the following:
| Property | Type |
|---|---|
wallet-type | string |
wallet-token | string |
XML Examples
Request Examples
curl -v -X POST https://sandbox.bluesnap.com/services/2/wallets \
-H 'Content-Type: application/xml' \
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '
<wallet xmlns="http://ws.plimus.com">
<wallet-type>APPLE_PAY</wallet-type>
<validation-url>https://apple-pay-gateway-cert.apple.com/paymentservices/startSession</validation-url>
<display-name>My store</display-name>
</wallet>'Response Examples
<wallet xmlns="http://ws.plimus.com">
<wallet-type>APPLE_PAY</wallet-type>
<wallet-token>ImRhdGEiOiJuY1AvRitIUy8zeG5ISk1pSm9RbXhCMFd</wallet-token>
</wallet>Note: Be sure that the domain-name is the domain you registered during domain verification.
